/*
 * Decompiled with CFR 0.152.
 * 
 * Could not load the following classes:
 *  fire.log.Logger
 *  fire.pb.effect.HuoBanImpl
 *  fire.pb.effect.Role
 *  fire.pb.main.ConfigManager
 *  fire.pb.npc.SHeroBaseInfo
 *  fire.pb.util.CalendarUtil
 *  xbean.HuoBanInfo
 */
package fire.pb.huoban;

import fire.log.Logger;
import fire.pb.effect.HuoBanImpl;
import fire.pb.effect.Role;
import fire.pb.huoban.HuoBanColumn;
import fire.pb.main.ConfigManager;
import fire.pb.npc.SHeroBaseInfo;
import fire.pb.util.CalendarUtil;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import xbean.HuoBanInfo;

public class HuoBan {
    public static Set<Integer> clientAttrs = new HashSet<Integer>();
    private final Logger logger = Logger.getLogger((String)"HUOBAN");
    private HuoBanInfo huobaninfo;
    public SHeroBaseInfo huobanCfg;

    public HuoBan(HuoBanInfo huobanInfo, boolean readonly) {
        this.huobaninfo = huobanInfo;
        this.huobanCfg = (SHeroBaseInfo)ConfigManager.getInstance().getConf(SHeroBaseInfo.class).get(this.huobaninfo.getId());
        if (this.huobanCfg == null) {
            this.logger.error((Object)("huoban cfg info is null, config id:" + this.huobaninfo.getId()));
        }
    }

    public HuoBanInfo getHuoBanInfo() {
        return this.huobaninfo;
    }

    public static HuoBan getHuoBan(long roleId, int huobanId, boolean readonly) {
        HuoBanColumn huobanCol = HuoBanColumn.getHuoBanColumn(roleId, readonly);
        return huobanCol.getHuoBan(huobanId);
    }

    public static HuoBan getHuoBan(HuoBanInfo huobanInfo, boolean readonly) {
        return new HuoBan(huobanInfo, readonly);
    }

    public int getId() {
        return this.huobaninfo.getId();
    }

    public int getType() {
        return this.huobaninfo.getType();
    }

    public String getHuoBanName() {
        return this.huobanCfg.name;
    }

    public Role getEffectRole(long roleid) {
        return new HuoBanImpl(this.huobaninfo, roleid);
    }

    public Map<Integer, Float> getL2Attrs(long roleid) {
        HashMap<Integer, Float> l2attrs = new HashMap<Integer, Float>();
        Role ehuoban = this.getEffectRole(roleid);
        for (int attrId : clientAttrs) {
            l2attrs.put(attrId, Float.valueOf(ehuoban.getAttrById(attrId)));
        }
        return l2attrs;
    }

    public void setHuoBanState(int nState) {
        this.huobaninfo.setState(nState);
        this.huobaninfo.setSettimes(System.currentTimeMillis());
    }

    public void setHuoBanWeekIndex(int id) {
        this.huobaninfo.setWeekindex(id);
    }

    public int getHuoBanWeekIndex() {
        return this.huobaninfo.getWeekindex();
    }

    public long getSetTimes() {
        return this.huobaninfo.getSettimes();
    }

    public int getHuoBanState() {
        return this.huobaninfo.getState();
    }

    public void setLevel(int level) {
        this.huobaninfo.setLevel(level);
    }

    public int getInfight() {
        return this.huobaninfo.getInfight();
    }

    public void setInfight(int fight) {
        this.huobaninfo.setInfight(fight);
    }

    public Long getHuoBanFinalState() {
        Long nRet = 0L;
        int nState = this.getHuoBanState();
        switch (nState) {
            case 3: {
                long nDays = this.getHuoBanTimes();
                if (nDays < System.currentTimeMillis()) {
                    this.setHuoBanState(0);
                    nRet = 0L;
                    break;
                }
                nRet = CalendarUtil.getLastListSecFormat((long)nDays) + 10L;
                break;
            }
            case 0: 
            case 1: 
            case 2: {
                nRet = nState;
            }
        }
        return nRet;
    }

    public int getWeekFree() {
        if (this.getHuoBanState() == 2) {
            return 1;
        }
        return 0;
    }

    public void setHuoBanTimes(long times) {
        this.huobaninfo.setTimes(times);
    }

    public long getHuoBanTimes() {
        return this.huobaninfo.getTimes();
    }

    public void addHuoBanTimes(int day) {
        long nDays = this.getHuoBanTimes();
        if (nDays < System.currentTimeMillis()) {
            nDays = System.currentTimeMillis();
            nDays += CalendarUtil.getTimeByContinueDays((int)day);
        } else {
            nDays += CalendarUtil.getTimeByContinueDays((int)day);
        }
        this.setHuoBanState(3);
        this.setHuoBanTimes(nDays);
    }

    public void addHuoBanTimes(long times) {
        long nDays = this.getHuoBanTimes();
        if (nDays < System.currentTimeMillis()) {
            nDays = System.currentTimeMillis();
            nDays += times;
        } else {
            nDays += times;
        }
        this.setHuoBanState(3);
        this.setHuoBanTimes(nDays);
    }

    public int getLevel() {
        return this.huobaninfo.getLevel();
    }

    public boolean canFight() {
        return this.huobaninfo.getState() > 0;
    }

    static {
        clientAttrs.add(60);
        clientAttrs.add(90);
        clientAttrs.add(130);
        clientAttrs.add(140);
        clientAttrs.add(150);
        clientAttrs.add(160);
        clientAttrs.add(200);
        clientAttrs.add(170);
        clientAttrs.add(180);
        clientAttrs.add(190);
    }
}

